using Luski.Classes;
using Luski.GUI.MainScreen.UI.LuskiSettings.Pages;
using Luski.GUI.MainScreen.UI.LuskiSettings.Pages.AdvancedSettings;
using Luski.GUI.MainScreen.UI.LuskiSettings.Pages.AppSettings;

namespace Luski.Enums.Strings;

public static class SettingsPage
{
    public static SettingPageStruct[] Pages = new[]
    {
        new SettingPageStruct()
        {
            Name = "Updater Config",
            Page = new GUI.MainScreen.UI.LuskiSettings.Pages.AdvancedSettings.Updater()
        },
        new SettingPageStruct()
        {
            Name = "Experiments",
            Page = new ExperimentSettings()
        },
        new SettingPageStruct()
        {
            Name = "General",
            Page = new Generic("General", 2)
        },
        new SettingPageStruct()
        {
            Name = "Appearance",
            Page = new Generic("Appearance", 3)
        }
    };
    public const byte Updater = 0;
    public const byte Experiments = 1;
    public const byte General = 2;
    public const byte Appearance = 3;
}